Name:           plymouth-theme-upo
Version:        1.0
Release:        2%{?dist}
BuildArch:      noarch
Summary:        Plymouth "UPO" theme

Group:          System Environment/Base
License:        GPLv2+
URL:            http://repo.di.unipmn.it/
Source0:        %{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


#BuildRequires:  
Requires:       plymouth-plugin-two-step

%description
This package contains the "UPO" boot splash theme for
Plymouth. It features a centered logo that fades in
during system boot up.


%prep
%setup -q


%build


%install
rm -rf $RPM_BUILD_ROOT

install -m 755 -d ${RPM_BUILD_ROOT}/%{_datadir}/plymouth/themes/upo/
install -m 644 -t ${RPM_BUILD_ROOT}/%{_datadir}/plymouth/themes/upo/ *.png upo.plymouth


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%dir %{_datadir}/plymouth/themes/upo
%{_datadir}/plymouth/themes/upo/*.png
%{_datadir}/plymouth/themes/upo/upo.plymouth

%post
export LIB=%{_lib}
        %{_sbindir}/plymouth-set-default-theme upo
	# Under Fedora 20 this is no longer working:
        #%{_libexecdir}/plymouth/plymouth-generate-initrd
	# This should be the right command for Fedora 20:
	KERNEL_VER=`uname -r`
	if [ ! -d /lib/modules/${KERNEL_VER} ]; then
		# The running kernel is not installed; should only happens
		# with anaconda during installation time.
		# We take the first kernel we find under /lib/modules/:
		KERNEL_VER=`ls -1 /lib/modules/ | head -1`
	fi
	new-kernel-pkg --package kernel --mkinitrd --dracut --depmod --install ${KERNEL_VER}

%postun
export LIB=%{_lib}
if [ $1 -eq 0 ]; then
    if [ "$(%{_sbindir}/plymouth-set-default-theme)" == "upo" ]; then
        %{_sbindir}/plymouth-set-default-theme --reset
	# Under Fedora 20 this is no longer working:
        #%{_libexecdir}/plymouth/plymouth-generate-initrd
	# This should be the right command for Fedora 20:
	# (During uninstall we do not check for the anaconda case)
	new-kernel-pkg --package kernel --mkinitrd --dracut --depmod --install `uname -r`
    fi
fi

%changelog
* Mon Sep 15 2014 Bussi Andrea <bussi@mfn.unipmn.it> - 1.0-2
- Fix the postinstall script for working during Anaconda install too.

* Thu Aug 21 2014 Bussi Andrea <bussi@mfn.unipmn.it> - 1.0-1
- Initial version

